Search documentation of ExStreamClient

# ExStreamClient.Model.Command (ExStreamClient v0.1.10)

View Source

Schema representing a Command

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Command{
      args: String.t(),
      created_at: float() | nil,
      description: String.t(),
      name: String.t(),
      set: String.t(),
      updated_at: float() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()